For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

Create a new file

POST
/files/

Use with AI:Rippling AI ChatGPT Claude Cursor

Create a new file

POST
/files/

Creates a new file and returns the file's details.

Helpful resources

Required Scopes

  • files.read-write

Request

Body
    status stringrequired

    Lifecycle status: awaiting_upload | uploaded | active | infected

    display_name string

    Human-readable label for the file

    content_type string

    MIME type supplied by the client at create time

    upload_url string

    S3 endpoint URL — POST your multipart form here to upload the file. Present only in the create response.

    upload_fields object

    Required form fields to include in the multipart POST to S3 alongside the file binary

    url_data object
    URLs for accessing the uploaded file after a successful upload
      s3_url string

      S3 URL where the file is accessible after upload

      preview_url string

      CDN URL for previewing the uploaded file after upload completes

Responses​

Successful response
Schema
    id stringrequired

    Opaque identifier for this file

    status stringrequired

    Lifecycle status: awaiting_upload | uploaded | active | infected

    display_name string

    Human-readable label for the file

    content_type string

    MIME type supplied by the client at create time

    upload_url string

    S3 endpoint URL — POST your multipart form here to upload the file. Present only in the create response.

    upload_fields object

    Required form fields to include in the multipart POST to S3 alongside the file binary

    url_data object
    URLs for accessing the uploaded file after a successful upload
      s3_url string

      S3 URL where the file is accessible after upload

      preview_url string

      CDN URL for previewing the uploaded file after upload completes

Loading...